%define major 1
%define libname %mklibname va %{major}
%define devname %mklibname va -d

Summary:	Video Acceleration (VA) API for Linux
Name:		libva
Epoch:		2
Version:	1.8.3
Release:	1
License:	MIT
Group:		System/Libraries
Url:		http://freedesktop.org/wiki/Software/vaapi
Source0:	https://github.com/01org/libva/archive/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)

%description
Libva is a library providing the VA API video acceleration API.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Libva is a library providing the VA API video acceleration API.

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}-egl.so.%{major}*
%{_libdir}/%{name}-wayland.so.%{major}*
%{_libdir}/%{name}-drm.so.%{major}*
%{_libdir}/%{name}-glx.so.%{major}*
%{_libdir}/%{name}-tpi.so.%{major}*
%{_libdir}/%{name}-x11.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -vif
%configure2_5x \
	-disable-static \
	-enable-glx \
	-enable-wayland
	
# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

%changelog

* Mon Jan 29 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:1.8.3-1
- (0d8a3fc) Don't bump epoch for no reason


